Summary: Perl5 data formatting module
Name: perl-Data-ShowTable
%define perlver 5.6.0
Version: 3.3
Release: 1
Group: Development/Libraries/Perl
Copyright: Perl
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://www.perl.com/CPAN/modules/by-module/Data/Data-ShowTable-%{version}.tar.gz
Requires: perl = %{perlver}
BuildRoot: /var/tmp/%{name}-root

%description
ShowTable.pm, is a Perl 5 module which defines subroutines
to print arrays of data in a nicely formatted listing, using one of
four possible formats: simple table, boxed table, list style, and
HTML-formatting (for World-Wide-Web output).


%prep
%setup -q -n Data-ShowTable-%{version}
for i in `find . -type f`; do
	fgrep -qs /usr/bin/perl5 $i && \
	perl -pi -e 's|/usr/bin/perl5|/usr/bin/perl|g' $i
done


%build
perl Makefile.PL
make OPTIMIZE="$RPM_OPT_FLAGS"
make test


%install
rm -rf $RPM_BUILD_ROOT
make pure_install \
	PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/usr/share/man/man1 \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/usr/share/man/man3
perl -pi -e "s|^$RPM_BUILD_ROOT||" `find $RPM_BUILD_ROOT -name .packlist`

# Manually compress files first so filename won't change unexpectedly
/usr/lib/rpm/brp-compress

# Construct file list
find $RPM_BUILD_ROOT -type f | sed "s|^$RPM_BUILD_ROOT||" > files.lst
find $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/%{perlver} -type d \
  | sed -e "s|^$RPM_BUILD_ROOT|%dir |" \
  | egrep -v "^%dir /usr/lib/perl5/site_perl/%{perlver}(/i386-linux(/auto)?)?$" \
  >> files.lst


%files -f files.lst
%defattr(-,root,root)
%doc Changes README *-%{version}.html


%clean
rm -rf $RPM_BUILD_ROOT

